/ [gnulib] / gnulib / DEPENDENCIES
To checkout: cvs -d:pserver:anonymous@cvs.gnu.org.ua:/cvsmirror/gnulib co gnulib/DEPENDENCIES
Puszcza

Contents of /gnulib/DEPENDENCIES

Parent Directory Parent Directory | Revision Log Revision Log


Revision 1.7 - (show annotations)
Thu Apr 5 00:07:19 2007 UTC (14 years, 9 months ago) by haible
Branch: MAIN
CVS Tags: HEAD
Changes since 1.6: +0 -17 lines
No need to mention tar and gzip - not direct depedencies.

1 The following packages are needed by maintainers for using
2 'gnulib-tool'. In general, Gnulib prefers the latest stable
3 version of each package, but in some cases it also supports
4 older versions; this caters to commonly-used software
5 distributions that may lag behind the latest stable package.
6 Support for older versions is not guaranteed, though, and
7 the version numbers in the following list may be incremented
8 at any time.
9
10 * A C runtime, compiler, linker, etc.
11 + Mandatory. Using the platform's native 'cc' gives good portability
12 exposure, but you can also use GCC 2.95 or newer.
13 + GCC Homepage:
14 http://gcc.gnu.org/
15 + Download:
16 http://ftp.gnu.org/gnu/gcc/
17 ftp://ftp.gnu.org/gnu/gcc/
18
19 * A 'make' utility.
20 + Mandatory. Using the platform's native 'make' gives good portability
21 exposure for in-tree builds, but VPATH builds require GNU Make 3.79.1 or
22 newer.
23 + GNU Make Homepage:
24 http://www.gnu.org/software/make/
25 + Download:
26 http://ftp.gnu.org/gnu/make/
27 ftp://ftp.gnu.org/gnu/make/
28
29 * GNU M4 1.4.5 or newer.
30 + 1.4.5 or newer is mandatory, but 1.4.9 or newer is recommended.
31 + Homepage:
32 http://www.gnu.org/software/m4/
33 + Download:
34 http://ftp.gnu.org/gnu/m4/
35 ftp://ftp.gnu.org/gnu/m4/
36
37 * Autoconf 2.59 or newer.
38 + Mandatory.
39 + Homepage:
40 http://www.gnu.org/software/autoconf/
41 + Download:
42 http://ftp.gnu.org/gnu/autoconf/
43 ftp://ftp.gnu.org/gnu/autoconf/
44
45 * Automake 1.9.6 or newer.
46 + Mandatory.
47 + Homepage:
48 http://www.gnu.org/software/automake/
49 + Download:
50 http://ftp.gnu.org/gnu/automake/
51 ftp://ftp.gnu.org/gnu/automake/
52
53 * A shell
54 + Mandatory. Using the platform's native 'sh' gives good portability
55 exposure, but you can also use Bash.
56 + Homepage:
57 http://www.gnu.org/software/bash/
58 + Download:
59 http://ftp.gnu.org/gnu/bash/
60 ftp://ftp.gnu.org/gnu/bash/
61
62 * Core POSIX utilities, including:
63 [ basename cat chgrp chmod chown cp dd echo expand expr
64 false hostname install kill ln ls md5sum mkdir mkfifo
65 mknod mv printenv pwd rm rmdir sleep sort tee test touch
66 true uname
67 + Mandatory. Using the platform's native utilities gives good portability
68 exposure, but you can also use GNU coreutils.
69 + Homepage:
70 http://www.gnu.org/software/coreutils/
71 + Download:
72 http://ftp.gnu.org/gnu/coreutils/
73 ftp://ftp.gnu.org/gnu/coreutils/
74
75 * The comparison utilities 'cmp' and 'diff'.
76 + Mandatory. Using the platform's native utilities gives good portability
77 exposure, but you can also use GNU diffutils.
78 + Homepage:
79 http://www.gnu.org/software/diffutils/
80 + Download:
81 http://ftp.gnu.org/gnu/diffutils/
82 ftp://ftp.gnu.org/gnu/diffutils/
83
84 * Grep.
85 + Mandatory. Using the platform's native grep gives good portability
86 exposure, but you can also use GNU grep.
87 + Homepage:
88 http://www.gnu.org/software/grep/
89 + Download:
90 http://ftp.gnu.org/gnu/grep/
91 ftp://ftp.gnu.org/gnu/grep/
92
93 * GNU gettext 0.16.1.
94 + Recommended.
95 Needed if you use modules that use internationalization (many do).
96 + Homepage:
97 http://www.gnu.org/software/gettext/
98 + Download:
99 http://ftp.gnu.org/gnu/gettext/
100 ftp://ftp.gnu.org/gnu/gettext/
101
102 * Bison 2.0 or newer.
103 + Recommended.
104 Needed if you use the 'getdate' module.
105 + Homepage:
106 http://www.gnu.org/software/bison/
107 + Download:
108 http://ftp.gnu.org/gnu/bison/
109 ftp://ftp.gnu.org/gnu/bison/
110
111 * GNU gperf 3.0.1 or newer.
112 + Recommended.
113 Needed if you use the 'iconv_open' module.
114 + Homepage:
115 http://www.gnu.org/software/gperf/
116 + Download:
117 http://ftp.gnu.org/gnu/gperf/
118 ftp://ftp.gnu.org/gnu/gperf/
119
120 * Texinfo 4.2 or newer.
121 + Recommended.
122 Needed if you use modules that include documentation.
123 + Homepage:
124 http://www.gnu.org/software/texinfo/
125 + Download:
126 http://ftp.gnu.org/gnu/texinfo/
127 ftp://ftp.gnu.org/gnu/texinfo/
128
129 * GNU sed.
130 + Recommended.
131 Needed on platforms where the vendor's 'sed' program is too buggy.
132 + Homepage:
133 http://www.gnu.org/software/sed/
134 + Download:
135 http://ftp.gnu.org/gnu/sed/
136 ftp://ftp.gnu.org/gnu/sed/
137
138 * GNU libtool 1.5.22 or newer.
139 + Optional.
140 Needed if you want to invoke gnulib-tool with option --libtool.
141 + Homepage:
142 http://www.gnu.org/software/libtool/
143 + Download:
144 http://ftp.gnu.org/gnu/libtool/
145 ftp://ftp.gnu.org/gnu/libtool/

Send suggestions and bug reports to Sergey Poznyakoff
ViewVC Help
Powered by ViewVC 1.1.20